net.sf.jasperreports.crosstabs.fill.calculation

## Class BucketingService.MapEntry

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.calculation.BucketingService.MapEntry

- All Implemented Interfaces:
    java.lang.Comparable<BucketingService.MapEntry>, java.util.Map.Entry<BucketDefinition.Bucket,java.lang.Object>
  Enclosing class:
    BucketingService

      protected static class BucketingService.MapEntry
      extends java.lang.Object
      implements java.util.Map.Entry<BucketDefinition.Bucket,java.lang.Object>, java.lang.Comparable<BucketingService.MapEntry>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(BucketingService.MapEntry o)`
    `BucketDefinition.Bucket` | `getKey()`
    `java.lang.Object` | `getValue()`
    `java.lang.Object` | `setValue(java.lang.Object value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `equals, hashCode`

- - ### Method Detail

    - #### getKey

          public BucketDefinition.Bucket getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry<BucketDefinition.Bucket,java.lang.Object>`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry<BucketDefinition.Bucket,java.lang.Object>`

    - #### setValue

          public java.lang.Object setValue(java.lang.Object value)

      Specified by:
        `setValue` in interface `java.util.Map.Entry<BucketDefinition.Bucket,java.lang.Object>`

    - #### compareTo

          public int compareTo(BucketingService.MapEntry o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BucketingService.MapEntry>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com